Package com.oracle.truffle.api.object

## Interface DynamicObjectFactory

    public interface DynamicObjectFactory

### Method Summary

All Methods Instance Methods Abstract Methods
`Shape` `getShape()`
`DynamicObject` `newInstance​(java.lang.Object... initialValues)`

### Method Detail

#### newInstance

    DynamicObject newInstance​(java.lang.Object... initialValues)

#### getShape

    Shape getShape()